﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Receiving.KanbanSummaryPartReceiving;
@model Toyota.Common.Web.MVC.ModelHolder

@*<table border="0" cellpadding="2" cellspacing="2">
        <tr>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Arrival Time";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().DateEdit(
                    edtSettings =>
                    {
                        edtSettings.Name = "ARRIVAL_DATE";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                        edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                        edtSettings.Date = DateTime.Now.AddDays(-1);
                        edtSettings.Properties.ClientSideEvents.KeyPress = @"
                        function cek (s,e){


                            var theEvent = e.htmlEvent || window.event;
                            var key = theEvent.keyCode || theEvent.which;
                            //key = String.fromCharCode(key);
                            //alert(key);
                            if(
                                //(key >= 37 && key <= 40) ||
                                (key >= 48 && key <= 57) ||
                                (key == 8)
                            )

                            //if (key < 48 || key > 57 )
                            {
                                theEvent.returnValue = true;
                            }else
                            {
                                theEvent.returnValue = false;
                                if(theEvent.preventDefault)
                                    theEvent.preventDefault();
                            }

                            //var regex = /[0-9]|\./;
    //                        if(!regex.test(key))
    //                        {
    //                            theEvent.returnValue = false;
    //                            if(theEvent.preventDefault)
    //                                theEvent.preventDefault();
    //                        }
                        }



    //                        function cekjumlah()
    //                        {
    //	                        var pola = '^';
    //	                        pola += '[0-9]*';
    //	                        pola += '$';
    //	                        rx = new RegExp(pola);
    //
    //
    //	                        if (!QtyP_I.value.match(rx))
    //	                        {
    //		                        if (QtyP_I.lastMatched)
    //		                        {
    //			                        QtyP_I.value = QtyP_I.lastMatched;
    //		                        }
    //		                        else
    //		                        {
    //			                        QtyP_I.value = '';
    //		                        }
    //	                        }
    //	                        else
    //	                        {
    //		                        QtyP_I.lastMatched = QtyP_I.value;
    //	                        }
    //                        }
                        ";
                    }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "To";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().DateEdit(
                    edtSettings =>
                    {
                        edtSettings.Name = "ARRIVAL_DATE_TO";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                        edtSettings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        edtSettings.Properties.EditFormatString = "dd.MM.yyyy";
                        edtSettings.Date = DateTime.Now.AddDays(-1);
                        edtSettings.Properties.ClientSideEvents.KeyPress = @"
                        function cek (s,e){


                            var theEvent = e.htmlEvent || window.event;
                            var key = theEvent.keyCode || theEvent.which;
                            //key = String.fromCharCode(key);
                            //alert(key);
                            if(
                                //(key >= 37 && key <= 40) ||
                                (key >= 48 && key <= 57) ||
                                (key == 8)
                            )

                            //if (key < 48 || key > 57 )
                            {
                                theEvent.returnValue = true;
                            }else
                            {
                                theEvent.returnValue = false;
                                if(theEvent.preventDefault)
                                    theEvent.preventDefault();
                            }

                            //var regex = /[0-9]|\./;
    //                        if(!regex.test(key))
    //                        {
    //                            theEvent.returnValue = false;
    //                            if(theEvent.preventDefault)
    //                                theEvent.preventDefault();
    //                        }
                        }



    //                        function cekjumlah()
    //                        {
    //	                        var pola = '^';
    //	                        pola += '[0-9]*';
    //	                        pola += '$';
    //	                        rx = new RegExp(pola);
    //
    //
    //	                        if (!QtyP_I.value.match(rx))
    //	                        {
    //		                        if (QtyP_I.lastMatched)
    //		                        {
    //			                        QtyP_I.value = QtyP_I.lastMatched;
    //		                        }
    //		                        else
    //		                        {
    //			                        QtyP_I.value = '';
    //		                        }
    //	                        }
    //	                        else
    //	                        {
    //		                        QtyP_I.lastMatched = QtyP_I.value;
    //	                        }
    //                        }
                        ";
                    }).GetHtml()
            </td>

            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "P - Lane No";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>
                @Html.Common().DevExpress().GridLookup(
                    gridLookup =>
                    {
                        gridLookup.Name = "PLaneOption";
                        gridLookup.GridProperties.KeyFieldName = "P_LANE_SEQ";
                        gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KanbanSummaryPartReceiving", Action = "LaneLookup" };
                        gridLookup.GridProperties.Width = Unit.Pixel(30);

                        //gridLookup.GridProperties.CommandColumn.Width = Unit.Pixel(20);
                        gridLookup.Width = 100;
                        //gridLookup.GridProperties.ClientSideEvents.BeginCallback = "OnBeginLookupCallbackGrid";
                        gridLookup.GridProperties.CommandColumn.Visible = false;
                        gridLookup.ReadOnly = true;
                        gridLookup.GridProperties.CommandColumn.Width = Unit.Pixel(20);
                        gridLookup.GridProperties.CommandColumn.ShowSelectCheckbox = false;
                        gridLookup.GridProperties.CommandColumn.Visible = false;
                        gridLookup.GridProperties.Columns.Add(column =>
                        {
                            column.Name = "P_LANE_SEQ";
                            column.FieldName = "P_LANE_SEQ";
                            column.Caption = "Lane No";
                            column.Width = Unit.Pixel(100);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        });
                    }).Bind(ViewData["LaneLookup"]).GetHtml()
            </td>

            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Supplier";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>
                @Html.Common().DevExpress().GridLookup(
                    gridLookup =>
                    {
                        gridLookup.Name = "SupplierOption";
                        gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE";
                        gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KanbanSummaryPartReceiving", Action = "SupplierLookup" };
                        gridLookup.GridProperties.Width = Unit.Pixel(30);

                        //gridLookup.GridProperties.CommandColumn.Width = Unit.Pixel(20);
                        gridLookup.Width = 100;
                        //gridLookup.GridProperties.ClientSideEvents.BeginCallback = "OnBeginLookupCallbackGrid";
                        gridLookup.GridProperties.CommandColumn.Visible = false;
                        gridLookup.ReadOnly = true;
                        gridLookup.GridProperties.CommandColumn.Width = Unit.Pixel(20);
                        gridLookup.GridProperties.CommandColumn.ShowSelectCheckbox = false;
                        gridLookup.GridProperties.CommandColumn.Visible = false;
                        gridLookup.GridProperties.Columns.Add(column =>
                        {
                            column.Name = "SUPPLIER_CODE";
                            column.FieldName = "SUPPLIER_CODE";
                            column.Caption = "Code";
                            column.Width = Unit.Pixel(50);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        });

                        gridLookup.GridProperties.Columns.Add(column =>
                        {
                            column.Name = "SUPPLIER_NAME";
                            column.FieldName = "SUPPLIER_NAME";
                            column.Caption = "Name";
                            column.Width = Unit.Pixel(50);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        });
                    }).Bind(ViewData["SupplierLookup"]).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Manifest No";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().TextBox(
                    edtSettings =>
                    {
                        edtSettings.Name = "MANIFEST_NO";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                        edtSettings.Text = "";
                        edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                        edtSettings.Properties.MaxLength = 11;
                        edtSettings.Properties.ClientSideEvents.KeyPress = @"
                        function cek (s,e){
                            var theEvent = e.htmlEvent || window.event;
                            var key = theEvent.keyCode || theEvent.which;
                            if(key==13)
                            {
                                //getDataByDCL();
                                //DOCK_CD.SetFocus();
                            }
                        }
                            ";
                        //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                        //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                        //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                        //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                    }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Route - Rate";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td colspan="4">
                @Html.Common().DevExpress().GridLookup(
                    gridLookup =>
                    {
                        gridLookup.Name = "RouteOption";
                        gridLookup.GridProperties.KeyFieldName = "ROUTE_RATE";
                        gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KanbanSummaryPartReceiving", Action = "RouteLookup" };
                        gridLookup.GridProperties.Width = Unit.Pixel(30);

                        //gridLookup.GridProperties.CommandColumn.Width = Unit.Pixel(20);
                        gridLookup.Width = 85;
                       // gridLookup.GridProperties.ClientSideEvents.BeginCallback = "OnBeginLookupCallbackGrid";
                        gridLookup.GridProperties.CommandColumn.Visible = false;
                        gridLookup.ReadOnly = true;
                        gridLookup.GridProperties.CommandColumn.ShowSelectCheckbox = false;
                        gridLookup.GridProperties.CommandColumn.Visible = false;
                        gridLookup.GridProperties.Columns.Add(column =>
                        {
                            column.Name = "ROUTE_RATE";
                            column.FieldName = "ROUTE_RATE";
                            column.Caption = "Route";
                            column.Width = Unit.Pixel(150);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        });
                    }).Bind(ViewData["RouteLookup"]).GetHtml()
            </td>

        </tr>

        <tr>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Order No";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().TextBox(
                    edtSettings =>
                    {
                        edtSettings.Name = "ORDER_NO";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(90);
                        edtSettings.Text = "";
                        edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                        edtSettings.Properties.MaxLength = 11;
                        edtSettings.Properties.ClientSideEvents.KeyPress = @"
                        function cek (s,e){
                            var theEvent = e.htmlEvent || window.event;
                            var key = theEvent.keyCode || theEvent.which;
                            if(key==13)
                            {
                                //getDataByDCL();
                                //DOCK_CD.SetFocus();
                            }
                        }
                            ";
                        //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                        //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                        //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                        //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                    }).GetHtml()
            </td>
            <td>
                &nbsp;
            </td>
            <td>
                &nbsp;
            </td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Kanban No";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().TextBox(
                    edtSettings =>
                    {
                        edtSettings.Name = "KANBAN_NO";
                        edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
                        edtSettings.Text = "";
                        edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                        edtSettings.Properties.MaxLength = 11;
                        edtSettings.Properties.ClientSideEvents.KeyPress = @"
                        function cek (s,e){
                            var theEvent = e.htmlEvent || window.event;
                            var key = theEvent.keyCode || theEvent.which;
                            if(key==13)
                            {
                                //getDataByDCL();
                                //DOCK_CD.SetFocus();
                            }
                        }
                            ";
                        //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                        //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                        //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                        //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                    }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                    label =>
                    {
                        label.ControlStyle.CssClass = "Label";
                        label.Text = "Status";
                        label.Style.Add("padding-right", "10px");
                    }).GetHtml()
            </td>
            <td style="width:100px;">
                @Html.Common().DevExpress().GridLookup(
                    gridLookup =>
                    {
                        gridLookup.Name = "StatusOption";
                        gridLookup.Width = Unit.Pixel(120);
                        gridLookup.GridProperties.KeyFieldName = "STATUS";
                        gridLookup.GridProperties.CallbackRouteValues = new { Controller = "KanbanSummaryPartReceiving", Action = "GetStatusLookup" };
                        gridLookup.ReadOnly = true;
                        gridLookup.GridProperties.Width = Unit.Pixel(130);
                        gridLookup.GridProperties.Height = Unit.Pixel(100);
                        gridLookup.GridProperties.Settings.VerticalScrollableHeight = 10;
                        gridLookup.GridProperties.Columns.Add(column =>
                        {
                            column.Name = "STATUS";
                            column.FieldName = "STATUS";
                            column.Caption = "Status";

                        });
                    }).Bind(ViewData["StatusLookup"]).GetHtml()
            </td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>

        </tr>
        <tr>
            <td colspan="6" align="left">
                @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnDownload";
                    button.Text = "Download";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "download";

                }).GetHtml()
            </td>
            <td colspan="6" align="right">
                @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSubmit";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "submit";

                }).GetHtml()

                @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnClear";
                    button.Text = "Clear";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "clear";

                }).GetHtml()
            </td>

        </tr>
    </table>*@


<table border="0" cellpadding="2" cellspacing="2">
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Plant - Dock";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            <div style="float:left; width:50px; margin-right:5px;">

                @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "RECEIVING_PLANT";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Text = @ViewBag.RECEIVING_PLANT;
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            DOCK_CD.SetFocus();
                        }
                    }
                        ";
                    //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                    //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                    //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                    //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                }).GetHtml()
            </div>

            <div style="float:left; width:3px; margin-right:5px;">
                -
            </div>

            <div style="float:left; width:80px;">
                @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "DOCK_CD";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(80);
                    edtSettings.Text = @ViewBag.DOCK_CD;
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            DELIVERY_NO.SetFocus();
                        }
                    }
                        ";
                    //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                    //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                    //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                    //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                }).GetHtml()
            </div>
        </td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td width="100">&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Route";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.Name = "lblRoute";
                label.ControlStyle.CssClass = "Label";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
    </tr>
    <tr>
        <td>Supplier Code</td>
        <td>:</td>
        <td>
            <div style="float:left; width:50px; margin-right:5px;">
                @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "SUPPLIER_CD";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Text = @ViewBag.SUPPLIER_CD;
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            DOCK_CD.SetFocus();
                        }
                    }
                        ";
                    //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                    //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                    //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                    //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                }).GetHtml()
            </div>
        </td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>P Lane Code</td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "P_LANE_CD";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Text = @ViewBag.P_LANE_CD;
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            DOCK_CD.SetFocus();
                        }
                    }
                        ";
                    //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                    //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                    //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                    //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                }).GetHtml()

        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Delivery No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "DELIVERY_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(143);
                    edtSettings.Text = @ViewBag.DELIVERY_NO;
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 13;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            //DOCK_CD.SetFocus();
                            getHeader();
                        }
                    }
                        ";
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Rit";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.Name = "lblRit";
                label.ControlStyle.CssClass = "Label";

                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>

    </tr>

    <tr>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Truck Station";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.Name = "lblTruckStation";
                label.ControlStyle.CssClass = "Label";

                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Status";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>

            @Html.DevExpress().Label(
                        label =>
                        {
                            label.Name = "lblStatus";
                            label.ControlStyle.CssClass = "Label";
                            label.Text = "";
                            label.Style.Add("padding-right", "10px");
                        }).GetHtml()

        </td>
    </tr>


    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Arrival";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>
            &nbsp;
        </td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Manifest No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>

            @Html.DevExpress().Label(
                        label =>
                        {
                            label.Name = "lblManifestNo";
                            label.ControlStyle.CssClass = "Label";
                            label.Text = "";
                            label.Style.Add("padding-right", "10px");
                        }).GetHtml()

        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Plan (from)";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Name = "lblArrivalPlanFrom";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Order No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>

            @Html.DevExpress().Label(
                        label =>
                        {
                            label.Name = "lblOrderNo";
                            label.ControlStyle.CssClass = "Label";
                            label.Text = "";
                            label.Style.Add("padding-right", "10px");
                        }).GetHtml()

        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Plan (To)";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Name = "lblArrivalPlanTo";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Kanban No";
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td>:</td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "KANBAN_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    //edtSettings.Text = @ViewBag.RECEIVING_PLANT;
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            //DOCK_CD.SetFocus();
                        }
                    }
                        ";
                    //edtSettings.Properties.ValidationSettings.ErrorDisplayMode = ErrorDisplayMode.Text;
                    //edtSettings.Properties.ValidationSettings.ErrorTextPosition = ErrorTextPosition.Bottom;
                    //edtSettings.Properties.ValidationSettings.RegularExpression.ValidationExpression = "^[a-zA-Z0-9]$";

                    //edtSettings.Properties.ValidationSettings.ErrorFrameStyle.Font.Size = FontSize.Smaller;
                }).GetHtml()

            @*@Html.DevExpress().Label(
                        label =>
                        {
                            label.Name = "lblKanbanNo";
                            label.ControlStyle.CssClass = "Label";
                            label.Text = "";
                            label.Style.Add("padding-right", "10px");
                        }).GetHtml()*@

        </td>
    </tr>
</table>
<table border="0">
    <tr>
        <td>
            @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnSearch";
                button.Text = "Search";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "search";

            }).GetHtml()

        </td>
        <td>
            @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnClear";
                button.Text = "Clear";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "clear";

            }).GetHtml()

        </td>

        <td>
            @Html.DevExpress().Button(
            button =>
            {
                button.Name = "btnDownload";
                button.Text = "Download";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "download";

            }).GetHtml()

        </td>
</tr>
    </table>
